# Plaintiff Type

## Filter by plaintiff type ID (integer).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2p1/cases?plaintiff_type=plaintiff_type_id`

#### Query Parameters

| Name                                              | Type    | Description                                                                   |
| ------------------------------------------------- | ------- | ----------------------------------------------------------------------------- |
| plaintiff\_type<mark style="color:red;">\*</mark> | integer | Plaintiff Type ID (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Cases successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

Supported plaintiff type IDs (plaintiff\_type\_id):

| 5579 | Non-profit religious organization     |
| ---- | ------------------------------------- |
| 5290 | City/County Plaintiff                 |
| 5577 | Public (for-profit) corporation       |
| 5372 | American Indian Tribe                 |
| 5452 | EEOC Plaintiff                        |
| 5451 | Private Plaintiff                     |
| 5455 | State Plaintiff                       |
| 5578 | Closely-held (for profit) corporation |
| 5584 | Non-DOJ federal government plaintiff  |
| 5454 | U.S. Dept of Justice plaintiff        |
| 5580 | Non-profit NON-religious organization |

For more about plaintiff types, see [Issues](/api-reference-v2p1/objects/case/issues.md#plaintiff-type).

**Example**

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2p1/cases?plaintiff_type=5580
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2p1/cases?plaintiff_type=5580"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.clearinghouse.net/api-reference-v2p1/endpoints/plaintiffs/plaintiff-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
